import sys
sys.path.append(RPR_GetResourcePath() + r"/UserPlugins")
from RIGDOCKS_python import *
from AZSTOKE_SILVER_python import *

trackNameList = ["pl0000","pl1000","pl2000","pl3000","pl4000","pl5000"]
trackColorList = [33554304,33521664,25165824,16777471,21004543,20988032]

masterTrack = AZ_GetTrackItemSelect(0,0,1)
_,masterName,_ = AZ_GetTrackItemName(masterTrack,0,1024)
masterDepth = AZ_GetTrackItemDepth(masterTrack)
masterColor = 0

for i, value in enumerate(trackNameList, 0):
    if masterName == trackNameList[i]:
        AZ_SetTrackItemColor(masterTrack,trackColorList[i])
        masterColor = trackColorList[i]
        
_,childList,masterChildCount = AZ_GetTrackItemChildList(masterTrack)
childInfoList = []

for i, value in enumerate(childList, 0):
    childInfoList.insert(i,{})
    _,childInfoList[i]["TrackName"],_ = AZ_GetTrackItemName(value,"",1024)
    AZ_SetTrackItemColor(value,masterColor)
    
trCount = AZ_GetTrackCountSelect(0,0)
deletIDList = []
idCount = 0

for i in range(trCount):
    _,_,name,_ = AZ_GetTrackIdName(0,i,"",1024)
    for e, value in enumerate(trackNameList, 0):
        if name == value:
            idCount = idCount + 1
            deletIDList.append(e)
            
            
deletIDList = sorted(deletIDList,reverse = True)

for i in range(idCount):
    trackNameList.pop(deletIDList[i])
    trackColorList.pop(deletIDList[i])
    

for i, value in enumerate(trackNameList, 0):
    count = AZ_GetTrackCountSelect(0,0)
    track = AZ_InsertTrackId(0,count)
    AZ_SetTrackItemName(track,value)
    AZ_SetTrackItemDepth(track,masterDepth)
    AZ_SetTrackItemColor(track,trackColorList[i])
    
    for e in range(masterChildCount):
        childTrack,_,_ = AZ_InsertChildTrack(track,0)
        AZ_SetTrackItemName(childTrack,childInfoList[e]["TrackName"])
        AZ_SetTrackItemColor(childTrack,trackColorList[i])